Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Data Structures | Namespaces
NumericField.h File Reference
`#include "Field.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::NumericField

This class provides a `Field` that enables indexing of numeric values for efficient range filtering and sorting. The native types int32_t, int64_t and double are directly supported. However, any value that can be converted into these native types can also be indexed. For example, date/time values represented by a `Date` can be translated into a int64_t value. If you don't need millisecond precision, you can quantize the value, either by dividing the result or using the separate getters (for year, month, etc.) to construct an int32_t or int64_t value. More...

## Namespaces

namespace | Lucene

clucene.sourceforge.net